Kerbal Space Program - Bug #9511

KSP offset tool likes to move things weirdly
04/26/2016 05:12 PM - SilverFox8124
Assignee:

Category: Bug Tracker

Target version:
Platform: Windows Mod Related: No
Description

The part offset tool has been a tad annoying in that it doesn't truly isolate to one axis, it will always move a part in another axis by a
single-step in the least. The Landing gear shown in this gif is an extreme example of it, where normally it just offsets your boosters or
whatever part you may be offsetting.

in the gif | merely click on the red arrow, and the gear moves to the other side of the ship...

https://media.giphy.com/media/GkAJrb4g3FaTu/giphy.qif

History

#1 - 04/26/2016 05:18 PM - SilverFox8124
- File output_log.txt added

Woops forgot the output log here ye go. There's nothing really in there error wise.

#2 - 04/26/2016 08:09 PM - SunburstMoon

Hi SilverFox8124, this is more an anoying behavior than a bug, and has been around for quite some time now. Try turning off auto-snap (default "c"
key, or the icon next to symmetry), it usually fix the problem although some parts or particular situations will still move on an other axis than the one
selected.

#3 - 04/27/2016 03:07 AM - SilverFox8124

| just tried it(pressing c to turn off part snapping) and it still produced the same results. Would you like me to gif that as well?

#4 - 05/26/2016 06:45 AM - Claw
- Status changed from New to Acknowledged

- % Done changed from 0 to 100

Unfortunately a known issue at the moment. Some of the colliders on the fixed landing gear had to be removed to prevent certain wheel issues. That
results in a confusing situation for the editor, which relies on those colliders to calculate offset distance.

Files

output_log.ixt 430 KB 04/26/2016 SilverFox8124
